org.eclipse.rdf4j.repository

## Class RepositoryConnectionTest

- java.lang.Object
- - org.eclipse.rdf4j.repository.RepositoryConnectionTest

- Direct Known Subclasses:
    RDFSchemaRepositoryConnectionTest

      public abstract class RepositoryConnectionTest
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Resource` | `alexander`
    `protected Resource` | `alice`
    `protected Resource` | `bob`
    `protected IRI` | `context1`
    `protected IRI` | `context2`
    `protected static String` | `FOAF_NS`
    `protected IsolationLevel` | `level`
    `protected IRI` | `mbox`
    `protected Literal` | `mboxAlice`
    `protected Literal` | `mboxBob`
    `protected IRI` | `name`
    `protected Literal` | `nameAlice`
    `protected Literal` | `nameBob`
    `protected IRI` | `publisher`
    `static String` | `TEST_DIR_PREFIX`
    `protected RepositoryConnection` | `testCon`
    `protected RepositoryConnection` | `testCon2`
    `protected Repository` | `testRepository`
    `org.junit.rules.Timeout` | `to` Timeout all individual tests after 10 minutes.
    `protected IRI` | `unknownContext`
    `protected ValueFactory` | `vf`
    `protected Literal` | `Александър`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepositoryConnectionTest(IsolationLevel level)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract Repository` | `createRepository()` Gets an (uninitialized) instance of the repository that should be tested.
    `static IsolationLevel[]` | `parameters()`
    `void` | `setUp()`
    `static void` | `setUpClass()`
    `void` | `tearDown()`
    `void` | `testAddDelete()`
    `void` | `testAddDeleteAdd()`
    `void` | `testAddDeleteInsert()`
    `void` | `testAddGzipInputStream()`
    `void` | `testAddInputStream()`
    `void` | `testAddInputStreamInTxn()`
    `void` | `testAddLiteralWithNewline()`
    `void` | `testAddMalformedLiteralsDefaultConfig()`
    `void` | `testAddMalformedLiteralsStrictConfig()`
    `void` | `testAddReader()`
    `void` | `testAddReaderInTxn()`
    `void` | `testAddRemove()`
    `void` | `testAddRemoveAdd()`
    `void` | `testAddRemoveInsert()`
    `void` | `testAddStatement()`
    `void` | `testAddStatementWithContext()`
    `void` | `testAddZipFile()`
    `void` | `testAutoCommit()`
    `void` | `testBNodeSerialization()`
    `void` | `testClear()`
    `void` | `testDataset()`
    `void` | `testDeleteDefaultGraph()`
    `void` | `testDuplicateFilter()`
    `void` | `testEmptyCommit()`
    `void` | `testEmptyRollback()`
    `void` | `testGetContextIDs()`
    `void` | `testGetNamespace()`
    `void` | `testGetNamespaces()`
    `void` | `testGetStatements()`
    `void` | `testGetStatementsInMultipleContexts()`
    `void` | `testGetStatementsInSingleContext()`
    `void` | `testGetStatementsIterable()`
    `void` | `testGetStatementsMalformedLanguageLiteral()`
    `void` | `testGetStatementsMalformedTypedLiteral()`
    `void` | `testGraphSerialization()`
    `void` | `testInferredStatementCount()`
    `void` | `testInsertDelete()`
    `void` | `testInsertRemove()`
    `void` | `testLiteralSerialization()`
    `void` | `testOpen()`
    `void` | `testOptionalFilter()`
    `void` | `testOrPredicate()`
    `void` | `testPreparedBooleanQuery()`
    `void` | `testPreparedGraphQuery()`
    `void` | `testPreparedTupleQuery()`
    `void` | `testPreparedTupleQueryUnicode()`
    `void` | `testPrepareSeRQLQuery()`
    `void` | `testPrepareSPARQLQuery()`
    `void` | `testQueryBaseURI()`
    `void` | `testQueryDefaultGraph()`
    `void` | `testQueryInTransaction()`
    `void` | `testRecoverFromParseError()`
    `void` | `testRemoveStatementCollection()`
    `void` | `testRemoveStatementIteration()`
    `void` | `testRemoveStatements()`
    `void` | `testRemoveStatementWithContext()`
    `void` | `testRollback()`
    `void` | `testSES2172ChineseChars()`
    `void` | `testSES713()`
    `void` | `testSimpleBooleanQuery()`
    `void` | `testSimpleGraphQuery()`
    `void` | `testSimpleTupleQuery()`
    `void` | `testSimpleTupleQueryUnicode()`
    `void` | `testSizeCommit()`
    `void` | `testSizeDuplicateStatement()`
    `void` | `testSizeRollback()`
    `void` | `testStatementSerialization()`
    `void` | `testTransactionIsolation()`
    `void` | `testUpdateBaseURI()`
    `void` | `testUpdateInTransaction()`
    `void` | `testURISerialization()`
    `void` | `testXmlCalendarZ()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### to

          public org.junit.rules.Timeout to

      Timeout all individual tests after 10 minutes.

    - #### FOAF_NS

          protected static final String FOAF_NS

      See Also:
        Constant Field Values

    - #### TEST_DIR_PREFIX

          public static final String TEST_DIR_PREFIX

      See Also:
        Constant Field Values

    - #### testRepository

          protected Repository testRepository

    - #### testCon

          protected RepositoryConnection testCon

    - #### testCon2

          protected RepositoryConnection testCon2

    - #### vf

          protected ValueFactory vf

    - #### bob

          protected Resource bob

    - #### alice

          protected Resource alice

    - #### alexander

          protected Resource alexander

    - #### name

          protected IRI name

    - #### mbox

          protected IRI mbox

    - #### publisher

          protected final IRI publisher

    - #### unknownContext

          protected IRI unknownContext

    - #### context1

          protected IRI context1

    - #### context2

          protected IRI context2

    - #### nameAlice

          protected Literal nameAlice

    - #### nameBob

          protected Literal nameBob

    - #### mboxAlice

          protected Literal mboxAlice

    - #### mboxBob

          protected Literal mboxBob

    - #### Александър

          protected Literal Александър

    - #### level

          protected IsolationLevel level

  - ### Constructor Detail

    - #### RepositoryConnectionTest

          public RepositoryConnectionTest(IsolationLevel level)

  - ### Method Detail

    - #### setUpClass

          public static void setUpClass()
                                 throws Exception

      Throws:
        `Exception`

    - #### parameters

          public static IsolationLevel[] parameters()

    - #### setUp

          public void setUp()
                     throws Exception

      Throws:
        `Exception`

    - #### tearDown

          public void tearDown()
                        throws Exception

      Throws:
        `Exception`

    - #### createRepository

          protected abstract Repository createRepository()
                                                  throws Exception

      Gets an (uninitialized) instance of the repository that should be tested.
      Returns:
        an uninitialized repository.
      Throws:
        `Exception`

    - #### testAddStatement

          public void testAddStatement()
                                throws Exception

      Throws:
        `Exception`

    - #### testAddStatementWithContext

          public void testAddStatementWithContext()
                                           throws Exception

      Throws:
        `Exception`

    - #### testAddLiteralWithNewline

          public void testAddLiteralWithNewline()
                                         throws Exception

      Throws:
        `Exception`

    - #### testTransactionIsolation

          public void testTransactionIsolation()
                                        throws Exception

      Throws:
        `Exception`

    - #### testAddReader

          public void testAddReader()
                             throws Exception

      Throws:
        `Exception`

    - #### testAddInputStream

          public void testAddInputStream()
                                  throws Exception

      Throws:
        `Exception`

    - #### testAddInputStreamInTxn

          public void testAddInputStreamInTxn()
                                       throws Exception

      Throws:
        `Exception`

    - #### testAddReaderInTxn

          public void testAddReaderInTxn()
                                  throws Exception

      Throws:
        `Exception`

    - #### testAddGzipInputStream

          public void testAddGzipInputStream()
                                      throws Exception

      Throws:
        `Exception`

    - #### testAddZipFile

          public void testAddZipFile()
                              throws Exception

      Throws:
        `Exception`

    - #### testAddMalformedLiteralsDefaultConfig

          public void testAddMalformedLiteralsDefaultConfig()
                                                     throws Exception

      Throws:
        `Exception`

    - #### testAddMalformedLiteralsStrictConfig

          public void testAddMalformedLiteralsStrictConfig()
                                                    throws Exception

      Throws:
        `Exception`

    - #### testAutoCommit

          public void testAutoCommit()
                              throws Exception

      Throws:
        `Exception`

    - #### testRollback

          public void testRollback()
                            throws Exception

      Throws:
        `Exception`

    - #### testSimpleTupleQuery

          public void testSimpleTupleQuery()
                                    throws Exception

      Throws:
        `Exception`

    - #### testPrepareSeRQLQuery

          public void testPrepareSeRQLQuery()
                                     throws Exception

      Throws:
        `Exception`

    - #### testPrepareSPARQLQuery

          public void testPrepareSPARQLQuery()
                                      throws Exception

      Throws:
        `Exception`

    - #### testSimpleTupleQueryUnicode

          public void testSimpleTupleQueryUnicode()
                                           throws Exception

      Throws:
        `Exception`

    - #### testPreparedTupleQuery

          public void testPreparedTupleQuery()
                                      throws Exception

      Throws:
        `Exception`

    - #### testPreparedTupleQueryUnicode

          public void testPreparedTupleQueryUnicode()
                                             throws Exception

      Throws:
        `Exception`

    - #### testSimpleGraphQuery

          public void testSimpleGraphQuery()
                                    throws Exception

      Throws:
        `Exception`

    - #### testPreparedGraphQuery

          public void testPreparedGraphQuery()
                                      throws Exception

      Throws:
        `Exception`

    - #### testSimpleBooleanQuery

          public void testSimpleBooleanQuery()
                                      throws Exception

      Throws:
        `Exception`

    - #### testPreparedBooleanQuery

          public void testPreparedBooleanQuery()
                                        throws Exception

      Throws:
        `Exception`

    - #### testDataset

          public void testDataset()
                           throws Exception

      Throws:
        `Exception`

    - #### testGetStatements

          public void testGetStatements()
                                 throws Exception

      Throws:
        `Exception`

    - #### testGetStatementsIterable

          public void testGetStatementsIterable()
                                         throws Exception

      Throws:
        `Exception`

    - #### testGetStatementsMalformedTypedLiteral

          public void testGetStatementsMalformedTypedLiteral()
                                                      throws Exception

      Throws:
        `Exception`

    - #### testGetStatementsMalformedLanguageLiteral

          public void testGetStatementsMalformedLanguageLiteral()
                                                         throws Exception

      Throws:
        `Exception`

    - #### testGetStatementsInSingleContext

          public void testGetStatementsInSingleContext()
                                                throws Exception

      Throws:
        `Exception`

    - #### testGetStatementsInMultipleContexts

          public void testGetStatementsInMultipleContexts()
                                                   throws Exception

      Throws:
        `Exception`

    - #### testDuplicateFilter

          public void testDuplicateFilter()
                                   throws Exception

      Throws:
        `Exception`

    - #### testRemoveStatements

          public void testRemoveStatements()
                                    throws Exception

      Throws:
        `Exception`

    - #### testRemoveStatementWithContext

          public void testRemoveStatementWithContext()
                                              throws Exception

      Throws:
        `Exception`

    - #### testRemoveStatementCollection

          public void testRemoveStatementCollection()
                                             throws Exception

      Throws:
        `Exception`

    - #### testRemoveStatementIteration

          public void testRemoveStatementIteration()
                                            throws Exception

      Throws:
        `Exception`

    - #### testGetNamespace

          public void testGetNamespace()
                                throws Exception

      Throws:
        `Exception`

    - #### testGetNamespaces

          public void testGetNamespaces()
                                 throws Exception

      Throws:
        `Exception`

    - #### testClear

          public void testClear()
                         throws Exception

      Throws:
        `Exception`

    - #### testRecoverFromParseError

          public void testRecoverFromParseError()
                                         throws RepositoryException,
                                                IOException

      Throws:
        `RepositoryException`
        `IOException`

    - #### testStatementSerialization

          public void testStatementSerialization()
                                          throws Exception

      Throws:
        `Exception`

    - #### testBNodeSerialization

          public void testBNodeSerialization()
                                      throws Exception

      Throws:
        `Exception`

    - #### testURISerialization

          public void testURISerialization()
                                    throws Exception

      Throws:
        `Exception`

    - #### testLiteralSerialization

          public void testLiteralSerialization()
                                        throws Exception

      Throws:
        `Exception`

    - #### testGraphSerialization

          public void testGraphSerialization()
                                      throws Exception

      Throws:
        `Exception`

    - #### testEmptyRollback

          public void testEmptyRollback()
                                 throws Exception

      Throws:
        `Exception`

    - #### testEmptyCommit

          public void testEmptyCommit()
                               throws Exception

      Throws:
        `Exception`

    - #### testOpen

          public void testOpen()
                        throws Exception

      Throws:
        `Exception`

    - #### testSizeRollback

          public void testSizeRollback()
                                throws Exception

      Throws:
        `Exception`

    - #### testSizeCommit

          public void testSizeCommit()
                              throws Exception

      Throws:
        `Exception`

    - #### testSizeDuplicateStatement

          public void testSizeDuplicateStatement()
                                          throws Exception

      Throws:
        `Exception`

    - #### testAddRemove

          public void testAddRemove()
                             throws RDF4JException

      Throws:
        `RDF4JException`

    - #### testAddDelete

          public void testAddDelete()
                             throws RDF4JException

      Throws:
        `RDF4JException`

    - #### testInsertRemove

          public final void testInsertRemove()
                                      throws RDF4JException

      Throws:
        `RDF4JException`

    - #### testInsertDelete

          public void testInsertDelete()
                                throws RDF4JException

      Throws:
        `RDF4JException`

    - #### testAddRemoveAdd

          public void testAddRemoveAdd()
                                throws RDF4JException

      Throws:
        `RDF4JException`

    - #### testAddDeleteAdd

          public void testAddDeleteAdd()
                                throws RDF4JException

      Throws:
        `RDF4JException`

    - #### testAddRemoveInsert

          public void testAddRemoveInsert()
                                   throws RDF4JException

      Throws:
        `RDF4JException`

    - #### testAddDeleteInsert

          public void testAddDeleteInsert()
                                   throws RDF4JException

      Throws:
        `RDF4JException`

    - #### testQueryInTransaction

          public void testQueryInTransaction()
                                      throws Exception

      Throws:
        `Exception`

    - #### testUpdateInTransaction

          public void testUpdateInTransaction()
                                       throws Exception

      Throws:
        `Exception`

    - #### testInferredStatementCount

          public void testInferredStatementCount()
                                          throws Exception

      Throws:
        `Exception`

    - #### testGetContextIDs

          public void testGetContextIDs()
                                 throws Exception

      Throws:
        `Exception`

    - #### testXmlCalendarZ

          public void testXmlCalendarZ()
                                throws Exception

      Throws:
        `Exception`

    - #### testOptionalFilter

          public void testOptionalFilter()
                                  throws Exception

      Throws:
        `Exception`

    - #### testOrPredicate

          public void testOrPredicate()
                               throws Exception

      Throws:
        `Exception`

    - #### testSES713

          public void testSES713()
                          throws Exception

      Throws:
        `Exception`

    - #### testSES2172ChineseChars

          public void testSES2172ChineseChars()
                                       throws Exception

      Throws:
        `Exception`

    - #### testQueryDefaultGraph

          public void testQueryDefaultGraph()
                                     throws Exception

      Throws:
        `Exception`

    - #### testQueryBaseURI

          public void testQueryBaseURI()
                                throws Exception

      Throws:
        `Exception`

    - #### testUpdateBaseURI

          public void testUpdateBaseURI()
                                 throws Exception

      Throws:
        `Exception`

    - #### testDeleteDefaultGraph

          public void testDeleteDefaultGraph()
                                      throws Exception

      Throws:
        `Exception`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.